1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Downgrading the PSP from 3.10

Discussion in 'Sony PSP - Mod and firmware discussion' started by mashud51, Feb 2, 2007.

  1. mashud51

    mashud51 Member

    Joined:
    Feb 2, 2007
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    11
    Hi there guys, I'm a new student to the world of PSP for about 2 weeks. When I bought the system it came with version 2.79, but then I looked on the internet and found out that there was v.3.10. So without knowing anything about homebrewing (which I just found out about), I updated it to 3.10.

    Is there a way I can downgrade this version to 1.5, if so can you pleeez tell me the website and when it comes out.
  2. AfterDawn

    AfterDawn Advertisement

  3. hpo56

    hpo56 Regular member

    Joined:
    Sep 3, 2006
    Messages:
    139
    Likes Received:
    0
    Trophy Points:
    26
    I forgot that i could PM if you check your email you won't get any spam. cause im just a lil kid (10 yrs old lol)
    Last edited: Feb 4, 2007
  4. mashud51

    mashud51 Member

    Joined:
    Feb 2, 2007
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    11
    Sorry I didn't know that we aren't supposed to put emails here.
    Last edited: Feb 3, 2007
  5. junkdude

    junkdude Regular member

    Joined:
    Sep 12, 2006
    Messages:
    285
    Likes Received:
    0
    Trophy Points:
    26
    u rnt supposed to post e-mail addresses in the forums its strikly provibited plse remove it before mods do somthing to u!!!if u ask y he asked to give one and i'll tell u there is PM(privet message) for tht!
    mashud r u from bd cause ur name sounds like tht!!if u r then plse pm me!!if not then ignore my words!!! :)
  6. Thoatih12

    Thoatih12 Regular member

    Joined:
    Nov 20, 2006
    Messages:
    703
    Likes Received:
    0
    Trophy Points:
    26
    theres no downgrader why woudl you give him your email? this site will post it when there is a downgrader...
  7. ThisDude

    ThisDude Regular member

    Joined:
    Oct 14, 2006
    Messages:
    875
    Likes Received:
    0
    Trophy Points:
    26
    Well version 3.10 is already decrypted so it won't be long before a downgrader comes out.
  8. GSoulja

    GSoulja Member

    Joined:
    Jan 19, 2007
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    11
    ok, i kinda have the same stry . i dont know much about homebrews and stuf, but what u just said...does that mean i should upgrade to 3.10 from 3.03?? i herd about GTA havin somethin in it that lets you downgrade so what should i do? upgrade or not??
  9. Eisherz

    Eisherz Regular member

    Joined:
    Nov 28, 2006
    Messages:
    2,650
    Likes Received:
    1
    Trophy Points:
    48
    Never, under no circumstances upgrade with an official sony firmware. Buy the unpatched original version of GTA Liberty City Stories on ebay, do a downgrade to 1.50, upgrade to any custom firmware you want if you want to or use DevHook and sell GTA Liberty City Stories on ebay again after the downgrade.
  10. mashud51

    mashud51 Member

    Joined:
    Feb 2, 2007
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    11
    junkdude: As a matter of fact I am from bd. Ur one of the few ppl who can recognize a bd person. Thanks.
  11. mashud51

    mashud51 Member

    Joined:
    Feb 2, 2007
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    11
    On top of having version 3.10, I also have a TA-082 motherboard. I hear that if anyone downgrades a TA-082, then they can seriously brick the psp, but there are also who say that they've actually downgraded it. So if they do come out with a 3.10 downgrade, then will it be safe for my psp to be downgraded even with TA-082.

    Another question is that people who downgrade to 1.5, are they able to play homebrew games and emulators with 3.03OE-C. On top of that are they able to enjoy all the benefits of the real Sony updates with 3.03OE-C instead.
  12. tehjoker

    tehjoker Regular member

    Joined:
    Sep 15, 2006
    Messages:
    1,037
    Likes Received:
    0
    Trophy Points:
    46
    um...how is it possible to miss the 'ta-082 downgrade' threads? lol, there popping up everywhere and yes, it is downgradeable. but before you ever upgrade again....DONT. simple as that if you want homebrew.
  13. mashud51

    mashud51 Member

    Joined:
    Feb 2, 2007
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    11
    Does this mean that all homebrew versions of the update that are going to come out are going to be TA-082 compatible?
  14. tehjoker

    tehjoker Regular member

    Joined:
    Sep 15, 2006
    Messages:
    1,037
    Likes Received:
    0
    Trophy Points:
    46
    yes because newer psp have ta-082 or ta-086 motherboards.
  15. junkdude

    junkdude Regular member

    Joined:
    Sep 12, 2006
    Messages:
    285
    Likes Received:
    0
    Trophy Points:
    26
    3.03OE-C have all the functions of 3.03(official)+more and more and more!!!!!!its the best fireware a psp could have untill now!!!
  16. deejizzle

    deejizzle Guest

    omg.. 3.03 juss got downgraded and already the noob questions.. this sucks.
  17. mashud51

    mashud51 Member

    Joined:
    Feb 2, 2007
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    11
    Hey man, I'm knew to this psp junk (as you can see by my status of a "Newbie", but don't think that I'm asking these "stupid questions" without doing some research. If there is something that I don't understand; I ask it.
  18. mknapper1

    mknapper1 Member

    Joined:
    Dec 31, 2004
    Messages:
    33
    Likes Received:
    0
    Trophy Points:
    16
    simply stated don't upgrade to a firmware by sony, just always go with dark-alex he is practically god... i have a ta-082 and i have downgraded and upgraded with custom firmwares like a dozen times now... so unless is clearly states not to use a ta-082 you should be good... but there is always that chance of bricking no matter wat mobo you have.
  19. attias6

    attias6 Guest

    Hi,

    I just bought a new PSP (yesterday. I bought the Entertainment Pack (ATVE Offroad Furry Blazin' Trails, Lords of Dogtown, a 1GB Memory Stick Duo and it also came with the game LocoRoco (300$ Canadian).

    LocoRoco tells me I have to upgrade to 2.71 to play it but is there a way to play the game on 1.50 (Same thing with Grand Theft Auto: Liberty City Stories (makes me upgrade to 2.00))?

    Thank you
    Aviv
  20. attias6

    attias6 Guest

    I also have another question: how do get to 3.03 OE-B. I'm currently in 2.71 but I can downgrade to 1.50 with no trouble. So how do I get there?

    Thank you,
    Aviv
  21. junkdude

    junkdude Regular member

    Joined:
    Sep 12, 2006
    Messages:
    285
    Likes Received:
    0
    Trophy Points:
    26

Share This Page